Nudge - No minimum required macOS version found

edward
New Contributor II

I have a strange issue.  First couple of wave deployments worked well, but now has stopped working.  Every device that I scope Nudge and the jamf profile to, give the message No minimum required macOS version found within the Nudge Deferral Status Extension Attribute.  This Mostly Mac blog states that means the requiredMinimunOSVersion key is not found.  This sounds like Nudge or Jamf are not reading the config profile located in /Library/Managed Preferences/com.github.macadmins.Nudge.plist.  I am using the default Nudge Suite (latest) with Jamf Pro Schema.  Any ideas are greatly appreciated

2 REPLIES 2

bwoods
Valued Contributor

Can you post what you have in your profile?

edward
New Contributor II

Hi Bwoods, Thank you for looking at this.  Curious to know if you or anyone uses post install script with the Jamf Profile and json schema.  I didn't think it was needed. Please see the profile below:

 

 

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
  <dict>
    <key>optionalFeatures</key>
    <dict>
      <key>acceptableCameraUsage</key>
      <true/>
      <key>acceptableScreenSharingUsage</key>
      <true/>
      <key>attemptToBlockApplicationLaunches</key>
      <true/>
      <key>enforceMinorUpdates</key>
      <true/>
    </dict>
    <key>osVersionRequirements</key>
    <array>
      <dict>
        <key>aboutUpdateURL</key>
        <string>https://www.apple.com/macos/sonoma/</string>
        <key>requiredInstallationDate</key>
        <string>2024-02-28T14:00:00Z</string>
        <key>requiredMinimumOSVersion</key>
        <string>14</string>
      </dict>
    </array>
    <key>userExperience</key>
    <dict>
      <key>allowUserQuitDeferrals</key>
      <true/>
      <key>allowedDeferrals</key>
      <integer>5</integer>
      <key>approachingWindowTime</key>
      <integer>48</integer>
      <key>imminentWindowTime</key>
      <integer>24</integer>
      <key>launchAgentIdentifier</key>
      <string/>
      <key>randomDelay</key>
      <true/>
    </dict>
    <key>userInterface</key>
    <dict>
      <key>actionButtonPath</key>
      <string>jamfselfservice://content?entity=policy&amp;id=1234&amp;action=execute</string>
      <key>iconDarkPath</key>
      <string>/private/var/company/icon.png</string>
      <key>iconLightPath</key>
      <string>/private/var/company/icon.png</string>
      <key>showDeferralCount</key>
      <true/>
      <key>updateElements</key>
      <array>
        <dict>
          <key>_language</key>
          <string>en</string>
          <key>actionButtonText</key>
          <string>Update Now</string>
          <key>mainContentNote</key>
          <string>Important Notes</string>
          <key>mainContentText</key>
          <string>A fully up-to-date Mac is required to ensure your device remains protected and compliant.</string>
          <key>mainHeader</key>
          <string>macOS requires an update</string>
          <key>subHeader</key>
          <string>A message from IT</string>
        </dict>
      </array>
    </dict>
  </dict>
</plist>